Subject: Re: [PATCH v2 12/14] builtin/patch-id: fix type of `get_one_patchid()`

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 2 Dec 2024 14:24:03 +0100

On Mon, Dec 02, 2024 at 09:18:35PM +0800, shejialuo wrote:
> On Mon, Dec 02, 2024 at 01:04:44PM +0100, Patrick Steinhardt wrote:
> > In `get_one_patchid()` we assign either the result of `strlen()` or
> > `remove_space()` to `len`. But while the former correctly returns a
> > `size_t`, the latter returns an `int` to indicate the length of the
> 
> It is a little misleading about the statement "the latte returns an
> `int` to indicate the length of the string".
> 
> Should "without spaces" be appended into the last? However, don't worth
> a reroll.

I'll say "stripped string" to keep things short. I won't send a reroll
just for this, but will send it out if there's going to be a v3 of this
series.

Thanks!

Patrick